Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.util
Class Vars

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.util.Vars

    public final class Vars

extends ExprInfo

Variables.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`int` | `size` Number of stored variables.
`Var[]` | `vars` Variable expressions.

Constructor Summary
`Vars()`

Method Summary
`String` | `color()` Returns a color string for the expression.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`String` | `toString()`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vars

    public Var[] vars

  Variable expressions.

### size

    public int size

  Number of stored variables.

Constructor Detail

### Vars

    public Vars()

Method Detail

### color

    public String color()

  Description copied from class: `ExprInfo`
  Returns a color string for the expression.

  Overrides:
    `color` in class `ExprInfo`
  Returns:
    color

### plan

    public void plan(Serializer ser)
              throws IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `IOException` - I/O exception

### toString

    public String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD